Bug 1428131 - limit list of user's roles to for creating a group
Summary: limit list of user's roles to for creating a group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.2
Assignee: Libor Pichler
QA Contact: Matouš Mojžíš
URL:
Whiteboard: appliance:configuration:rbac:ui
Depends On: 1426619
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 20:40 UTC by Satoe Imaishi
Modified: 2020-04-15 15:25 UTC (History)
7 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1426619
Environment:
Last Closed: 2017-04-12 14:40:58 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-08 19:31:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4b43ce246836e83f61312775b8a934c5b946a43c

commit 4b43ce246836e83f61312775b8a934c5b946a43c
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Feb 27 17:14:32 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 8 14:28:35 2017 -0500

    Merge pull request #14081 from lpichler/remove_admin_role_for_tenant_admin
    
    Remove admin role for tenant admin
    (cherry picked from commit 8036eda9632d64d635401ef6c1a747e9e1ee084c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428131

 lib/rbac/filterer.rb           | 2 +-
 spec/lib/rbac/filterer_spec.rb | 8 ++++++--
 2 files changed, 7 insertions(+), 3 deletions(-)

Comment 4 Matouš Mojžíš 2017-03-28 15:53:27 UTC
Verified in 5.7.2.0. I can't create anymore group with higher permissions than tenant-admin has.

Comment 6 errata-xmlrpc 2017-04-12 14:40:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.